Show / Hide Table of Contents

# Class RestAuditLogEntry

Represents a REST-based audit log entry.

##### Inheritance

System.Object
RestEntity<System.UInt64>
RestAuditLogEntry

##### Implements

IAuditLogEntry
ISnowflakeEntity
IEntity<System.UInt64>

##### Inherited Members

RestEntity<UInt64>.Id
System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestAuditLogEntry : RestEntity<ulong>, IAuditLogEntry, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Action

Gets the action which occurred to create this entry.

##### Declaration

    public ActionType Action { get; }

##### Property Value

Type | Description
--- | ---
ActionType | The type of action for this audit log entry.

| Improve this Doc View Source

#### CreatedAt

Gets when the snowflake was created.

##### Declaration

    public DateTimeOffset CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.DateTimeOffset | A System.DateTimeOffset representing when the entity was first created.

| Improve this Doc View Source

#### Data

Gets the data for this entry.

##### Declaration

    public IAuditLogData Data { get; }

##### Property Value

Type | Description
--- | ---
IAuditLogData | An IAuditLogData for this audit log entry; `null` if no data is available.

| Improve this Doc View Source

#### Reason

Gets the reason behind the change.

##### Declaration

    public string Reason { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the reason for the change; `null` if none is provided.

| Improve this Doc View Source

#### User

Gets the user responsible for causing the changes.

##### Declaration

    public IUser User { get; }

##### Property Value

Type | Description
--- | ---
IUser | A user object.

### Implements

IAuditLogEntry
ISnowflakeEntity
IEntity<TId>